# Namespace goog.userAgent.product

code »
Show:PublicProtectedPrivate

## Global Functions

code » goog.userAgent.product.determineVersion_ ( ) ⇒ `string`

Returns

The string that describes the version number of the user agent product. This is a string rather than a number because it may contain 'b', 'a', and so on.

code » goog.userAgent.product.execRegExp_ ( re ) ⇒ `Array`

Run regexp's exec() on the userAgent string.

Parameters

re: `!RegExp`
  Regular expression.

Returns

A result array, or null for no match.

code » goog.userAgent.product.getFirstRegExpGroup_ ( re ) ⇒ `string`

Return the first group of the given regex.

Parameters

re: `!RegExp`
  Regular expression with at least one group.

Returns

Contents of the first group or an empty string if no match.

code » goog.userAgent.product.init_ ( )

Right now we just focus on Tier 1-3 browsers at: http://wiki/Nonconf/ProductPlatformGuidelines As well as the YUI grade A browsers at: http://developer.yahoo.com/yui/articles/gbs/

code » goog.userAgent.product.isVersion ( version ) ⇒ `boolean`

Whether the user agent product version is higher or the same as the given version.

Parameters

version: `(string|number)`
  The version to check.

Returns

Whether the user agent product version is higher or the same as the given version.

## Global Properties

code » goog.userAgent.product.ANDROID : `boolean`

Whether the code is running on the default browser on an Android phone.

code » goog.userAgent.product.CAMINO : `boolean`

Whether the code is running on the Camino web browser.

code » goog.userAgent.product.CHROME : `boolean`

Whether the code is running on the Chrome web browser.

code » goog.userAgent.product.FIREFOX : `boolean`

Whether the code is running on the Firefox web browser.

code » goog.userAgent.product.IE : `boolean`

Whether the code is running on an IE web browser.

code » goog.userAgent.product.IPAD : `boolean`

Whether the code is running on an iPad.

code » goog.userAgent.product.IPHONE : `boolean`

Whether the code is running on an iPhone or iPod touch.

code » goog.userAgent.product.OPERA : `boolean`

Whether the code is running on the Opera web browser.

code » goog.userAgent.product.PRODUCT_KNOWN_ : `boolean`

Whether we know the product type at compile-time.

code » goog.userAgent.product.SAFARI : `boolean`

Whether the code is running on the Safari web browser.

code » goog.userAgent.product.VERSION : `string`

The version of the user agent. This is a string because it might contain 'b' (as in beta) as well as multiple dots.

code » goog.userAgent.product.detectedAndroid_ : `boolean`

Whether the code is running on the default browser on an Android phone.

code » goog.userAgent.product.detectedCamino_ : `boolean`

Whether the code is running on the Camino web browser.

code » goog.userAgent.product.detectedChrome_ : `boolean`

Whether the code is running on the Chrome web browser.

code » goog.userAgent.product.detectedFirefox_ : `boolean`

Whether the code is running on the Firefox web browser.

code » goog.userAgent.product.detectedIpad_ : `boolean`

Whether the code is running on an iPad

code » goog.userAgent.product.detectedIphone_ : `boolean`

Whether the code is running on an iPhone or iPod touch.

code » goog.userAgent.product.detectedSafari_ : `boolean`

Whether the code is running on the Safari web browser.

## Compiler Constants

code » goog.userAgent.product.ASSUME_ANDROID : `boolean`
code » goog.userAgent.product.ASSUME_CAMINO : `boolean`
code » goog.userAgent.product.ASSUME_CHROME : `boolean`
code » goog.userAgent.product.ASSUME_FIREFOX : `boolean`
code » goog.userAgent.product.ASSUME_IPAD : `boolean`
code » goog.userAgent.product.ASSUME_IPHONE : `boolean`
code » goog.userAgent.product.ASSUME_SAFARI : `boolean`